## PaladinMod
- Adds the Paladin, a fully custom playable survivor with a powerful greatsword and various spells in his arsenal
- Fully multiplayer compatible
- Has some unlockable skins and alt skills

[![](https://cdn.discordapp.com/attachments/469291841859092488/794059583919357973/unknown.png)]()

[![](https://cdn.discordapp.com/attachments/759508646966591528/793757713820811284/texPaladinIcon.png)]()

join the discord to share feedback/bugs- https://discord.gg/ZkUvUYNQFg
feel free to ping/dm me with all your complaints- @rob#2365

## Overview
The Paladin is a tanky melee hybrid survivor who uses a combination of powerful melee attacks and long range spells. Writing these descriptions is time consuming so just try the character out for yourself and find out what works.


[![](https://cdn.discordapp.com/attachments/469291841859092488/794059610264043530/unknown.png)]()

[![](https://cdn.discordapp.com/attachments/469291841859092488/794059686932250654/unknown.png)]()

[![](https://cdn.discordapp.com/attachments/469291841859092488/794060694945267772/unknown.png)]()

[![](https://cdn.discordapp.com/attachments/469291841859092488/794061039377055794/unknown.png)]()

## Known Issues
- Spell effects are all a work in progress
- Some animations were rushed for release and pending updates

## Credits
rob - Coding, animation
Zenta - Model
OK - Skill icons
Jame - Made the original concept
TheTimesweeper - Helped with sword smear
And thanks to everyone else for providing valuable feedback

## Changelog
`1.0.4`
- Tweaked some animations, right arm should no longer be weird with custom skins
- Smoothed out primary transitions
- Lunar Shard aim adjusted
- Aiming spells no longer hides the crosshair
- Added some sounds
- Added a 1.5s channel time to Sacred Sunlight before it can be cast
- Sacred Sunlight barrier per tick increased from 1% to 1.5%
- Sacred Sunlight duration increased from 10s to 12s
- Sacred Sunlight cooldown lowered from 24s to 18s
- Added a 2s channel time to Vow of Silence before it can be cast
- Vow of Silence slow strength increased from 60% to 80%
- Vow of Silence duration increased from 8s to 10s
- Vow of Silence cooldown lowered from 24s to 18s
- Added a visual effect for Torpor
- Added a couple more item displays

`1.0.3`
- Added a handful of item displays
- Fixed passive not activating at all with shields

`1.0.2`
- Shields are now counted for passive activation
- Passive description now properly states the threshold of 90%(was changed previously but description was never updated to match)
- Base armor lowered from 15 to 10
- Base health regen lowered from 2.5/s to 1.5/s
- Primary damage lowered from 375% to 350%
- Sunlight Spear max damage lowered from 1200% to 1000%
- Lunar Shard damage increased from 200% to 225%
- Quickstep barrier lowered from 20% to 15%
- Heal radius increased from 12m to 16m
- Heal amount lowered from 20% to 10%
- Heal now grants 20% barrier
- Sacred Sunlight radius increased from 14m to 16m
- Sacred Sunlight armor buff lowered from 10 to 5
- Sacred Sunlight barrier per tick lowered from 1.5% to 1%
- Sacred Sunlight duration increased to 10 seconds
- Fixed skin VFX system breaking with certain skins

`1.0.1`
- Added custom VFX for skins- this includes support for Dragonyck's Dark Souls skins, check that out if you haven't already
- Tweaked some textures and skill icons
- Made sword glow in character select
- Fixed slight stutters whenever an enemy spawns
- Fixed rest emote not being networked properly
- Fixed global swing sounds

`1.0.0`
- Huge overhaul!!
- Updated model and animations, all remade from the ground up! (model by Zenta)
- Updated a lot of VFX
- Added custom sounds
- Added ragdoll
- All hitboxes greatly improved
- Lowered base damage from 14 to 13
- Lowered primary damage to 375%, removed passive bonus damage because the sword beam already increases damage if you hit both so it was redundant
- Increased primary sword beam damage to 300%
- Increased primary base duration
- Grounded Spinning Slash range greatly increased
- Aerial Spinning Slash can now cancel into itself with backup mags
- Aerial Spinning Slash passive bonus damage removed- now fires a shockwave upon landing for 300% damage
- Sunlight spear no longer pierces, now explodes on impact
- Spellcasts no longer have a weird lingering duration that prevents you from doing anything
- Made some changes to emotes- 1 by default is now a rest emote, Praise the Sun moved over to 2 default, Point Down not yet reimplemented, more planned
- Fixed a skin being unlocked seemingly at random- was actually whenever a Malachite elite spawned
- Removed Hunter skin for now- expect it back at some point
- Item displays out for now- will be added back over time, but had to be trashed due to the new model(good thing I never put in the hours to add all of them before this)
- A bunch of other changes that I probably missed

`0.0.8`
- Base damage/growth lowered to 14/2.8
- Fixed Phase Round Lightning applying on sword beams
- Buffed Lunar Shard damage to 200%, adjusted cooldown mechanics
- Lunar Shard animation cancel somewhat restored
- Fixed torpor not grounding enemies,, enjoy slamming vagrants into the ground
- Increased Vow of Silence radius
- Made spells castable on enemies

`0.0.7`
- Torpor change may not have been networked, fixed that

`0.0.6`
- Updated character portrait
- Updated skins
- Improved melee hitboxes
- Passive now activates with barrier as well as >80% health
- Increased base damage/growth from 12/2.4 to 15/3
- Lowered empowered primary damage from 600% to 500% to compensate for base damage buff
- Tweaked aerial Spinning Slash movement to help with flying enemies
- Fixed Lunar Shards animation cancelling and nerfed damage
- Increased Quickstep barrier amount from 15% to 20%, increased base dash distance
- Cleaned up Quickstep visuals
- Torpor now grounds enemies- slow harshly nerfed to compensate
- Vow of Silence visual is now red, still placeholder, but different enough to prevent confusion

`0.0.5`
- Tweaked sword color
- Fixed sword hitboxes
- Added a new secondary, Lunar Shards
- Tweaked aerial Spinning Slash some more
- Rewrote Quickstep, added an extra charge(animations in progress)

`0.0.4`
- Tweaked aerial Spinning Slash movement
- Removed air dashes, Quickstep now always functions the same

`0.0.3`
- All skins now have cloth
- Minor animation update
- Added a new skin
- Lowered armor per level to 1
- Big gameplay overhaul, aiming to make him overall more interactive and better support melee playstyles

Primary

- Divine Blade
-- Lowered base duration from 1.3s to 1s
-- Lowered base damage from 450% to 400%(buffed damage unchanged)
-- Buffed sword beam damage from 225% to 300%, increased range/speed/hitbox size, updated VFX, added keyword
-- Adjusted hitstop duration
-- Updated icon

Secondary

- Sunlight Spear
-- Damage changed from 100%-2400% to 200%-1200%
-- Charge time lowered from 2s to 1.5s
-- Moved to secondary slot, now agile
-- Cooldown lowered to 8s
-- Updated icon

- Spinning Slash
-- Dash removed, moved to its own skill in the utility slot
-- Damage increased to 800%
-- Base duration increased to 1.2s
-- Cooldown increased to 6s
-- Range now increased while passive is active
-- Aerial version performs Artorias' leap strike, damage increased by passive instead
-- Updated icon

Utility

- Quickstep (NEW)
-- Use while grounded to dash in a direction, use while airborne to dash forward
-- Grants i-frames during the dash and 15% barrier once it ends
-- Hitting stuff with Divine Blade lowers the cooldown(more atk spd = more barrier = more tank)

Special 

- Sacred Sunlight
-- Heal amount greatly reduced, armor buff greatly reduced, now grants some barrier

- Vow of Silence
-- Fixed performance issues, current visual is placeholder
-- No longer destroys projectiles(might come back eventually)

`0.0.2`
- Fix typo

`0.0.1`
- Initial release

## Future Plans
- Custom sounds
- Finish the rest of the item displays
- Polish everything
- More melee-focused alt skills
- Skills++ and Scepter support